/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

package de.kugihan.dictionaryformids.dataaccess;
import de.kugihan.dictionaryformids.translation.Normation;

public class LanguageDefinition {
	public String    		  languageDisplayText;
	public String    		  languageFilePostfix;
	public String    		  normationClassName;
	public boolean			  isSearchable; // true if searches are allowed for this language
	public boolean			  hasSeparateDictionaryFile; // true if translations are stored in a language-specific dictionary file
	public String    		  dictionaryUpdateClassName;  // used only by DictionaryGeneration
	public Normation 		  normationObj;
	// the following properties are used only by DictionaryGeneration: 
	public DictionaryUpdateIF dictionaryUpdateObj;  // interface to DictionaryUpdate object
	public boolean 			  generateIndex;        // true if index shall be generated for this language
	public String			  expressionSplitString;  // separator string for multiple expressions, e.g. "," for "to choose, to select"

	public LanguageDefinition(String  languageDisplayTextParam,
			 		          String  languageFilePostfixParam,
			 		          boolean isSearchableParam,
			 		          boolean hasSeparateDictionaryFileParam,
					          String  normationClassNameParam,
					          String  dictionaryUpdateClassNameParam,
					          boolean generateIndexParam,
					          String  expressionSplitStringParam) {
		languageDisplayText = languageDisplayTextParam;
		languageFilePostfix = languageFilePostfixParam;
		isSearchable = isSearchableParam;
		hasSeparateDictionaryFile = hasSeparateDictionaryFileParam;
		normationClassName = normationClassNameParam;
		dictionaryUpdateClassName = dictionaryUpdateClassNameParam;
		generateIndex = generateIndexParam;
		expressionSplitString = expressionSplitStringParam;
	}
}