package de.kugihan.dictionaryformids.hmi_j2me;

/*
DictionaryForMIDs - a free multi-language dictionary for mobile devices.
Copyright (C) 2005 Gert Nuber (Gert.Nuber@gmx.net)

GPL applies - see file COPYING for copyright statement.
*/

import java.lang.*; 
import java.io.*; 
import java.util.*; 
import javax.microedition.midlet.MIDlet; 

import de.kugihan.dictionaryformids.dataaccess.DictionaryDataFile;
import de.kugihan.dictionaryformids.general.DictionaryException;
import de.kugihan.dictionaryformids.general.SettingsStore;
import de.kugihan.dictionaryformids.general.Util;
import de.kugihan.dictionaryformids.general.UtilMid;
 
public class DictionaryForMIDs 
    extends MIDlet  {

		public static String applicationName = "DictionaryForMIDs";
		public static String versionNumber;
		public static String versionStatus;
		public static byte   versionRMSStructure = 12;  // was 11

		public static boolean useMIDP20 = false;

	
	public DictionaryForMIDs() {
		/*
		 *  initialise the application
		 */
		super();
		
		MainForm applicationMainForm = new MainForm(this);

		UtilMid utilObj = new UtilMid();
		utilObj.setLogForm(applicationMainForm);
		Util.setUtil(utilObj);
		int logLevel = 0;
		String logLevelString = getAppProperty("logLevel");
		if (logLevelString != null) {
			logLevel = Integer.valueOf(logLevelString).intValue();
		}
		utilObj.setLogLevel(logLevel);

		try {
			utilObj.log("Initialized logging", Util.logLevelMax);
			
			// check for supported MIDP version
			String supportedMidpProfile = System.getProperty("microedition.profiles");
			if (supportedMidpProfile.startsWith("MIDP-1."))
				useMIDP20 = false;
			else 
				useMIDP20 = true;

			// check for supported CLDC version
			String supportedCldcConfiguration = System.getProperty("microedition.configuration");
			if (supportedCldcConfiguration.startsWith("CLDC-1.0"))
				DictionarySettings.setCldc11(false);
			else 
				DictionarySettings.setCldc11(true);

			utilObj.determineCharEncoding();
			
			DictionaryDataFile.initValues(false);
			utilObj.log("Initialized values", Util.logLevelMax);

			// initialise the main form:
			applicationMainForm.initialiseForm();
			
			versionNumber = getAppProperty("MIDlet-Version");
			versionStatus = getAppProperty("versionStatus");

			utilObj.log("construct application complete", Util.logLevelMax);
		}
		catch (Throwable t) {
			utilObj.log(t);
		}
	}

	public void startApp() {
		try {
			MainForm.applicationMainForm.startForm();
		}
		catch (Throwable t) {
			Util.getUtil().log(t);
		}
	}

	public void pauseApp () {}

	public void destroyApp(boolean unconditional) {
		try {
			SettingsStore.getSettingsStore().closeSettingsStore();
		}
		catch (DictionaryException e) {
			// do nothing
		}
	}	
}